%global pypiname Send2Trash

Name:           python-send2trash
Version:        1.8.0
Release:        %mkrel 1
Summary:        Python library to natively send files to Trash
License:        BSD
URL:            https://github.com/hsoft/send2trash
Group:          Development/Python
Source0:        %url/archive/%{version}/%{pypiname}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Provides:       python-%{pypiname} == %{version}-%{release}

%{?python_provide:%python_provide python2-%{pypiname}}
%{?python_provide:%python_provide python2-send2trash}

%description
Send2Trash is a small package that sends files to the Trash (or Recycle Bin)
natively and on all platforms. On OS X, it uses native FSMoveObjectToTrashSync
Cocoa calls, on Windows, it uses native (and ugly) SHFileOperation win32 calls.
On other platforms, if PyGObject and GIO are available, it will use this.
Otherwise, it will fallback to its own implementation of the trash specifications
from freedesktop.org.


%package -n python3-send2trash
Summary:        Python library to natively send files to Trash
Provides:       python3-%{pypiname} == %{version}-%{release}
Group:          Development/Python

%{?python_provide:%python_provide python3-%{pypiname}}
%{?python_provide:%python_provide python3-send2trash}

%description -n python3-send2trash
Send2Trash is a small package that sends files to the Trash (or Recycle Bin)
natively and on all platforms. On OS X, it uses native FSMoveObjectToTrashSync
Cocoa calls, on Windows, it uses native (and ugly) SHFileOperation win32 calls.
On other platforms, if PyGObject and GIO are available, it will use this.
Otherwise, it will fallback to its own implementation of the trash specifications
from freedesktop.org.

%prep
%setup -q -n %{pypiname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python-send2trash
%doc LICENSE
%doc README.rst CHANGES.rst
%{python2_sitelib}/send2trash/
%{python2_sitelib}/%{pypiname}-%{version}-py%{python2_version}.egg-info

%files -n python3-send2trash
%doc README.rst CHANGES.rst LICENSE
%{_bindir}/send2trash
%{python3_sitelib}/send2trash/
%{python3_sitelib}/%{pypiname}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Aug 16 2022 TerryN <terryn94 at gmail.com> 1.8.0-1pclos2022
- update and rebuild for python 3.10

* Thu Jan 10 2019 tex 1.5.0-1pclos2019
- imported package python-send2trash

